using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace prvi
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[]s = Console.ReadLine().Split();
            int m = int.Parse(s[0]);
            int v = int.Parse(s[1]);
            int index = -1;
            int[]a = new int[m];
            a=Array.ConvertAll(Console.ReadLine().Split(),int.Parse);
            for (int i = 0; i < m; i++)
            {
                if (a[i]<=v)
                {
                    index = i+1;
                    break;
                }
            }
            Console.WriteLine(index);
        }
    }
}